## libudev-compat 3.2.15+really3.2.14

=== debian/changelog ===
libudev-compat (3.2.15+really3.2.14-4+genuen6u1) unstable; urgency=medium

  * New upstream version 3.2.15+really3.2.14

 -- Aitor <aitor@genuen.org>  Sat, 20 Dec 2025 15:36:52 +0100

libudev-compat (3.2.15-1+5gnuinos1) unstable; urgency=medium

  * Provide a new helper nl_monitor that sends the events processed by vdev
    back to libudev listeners
  * New upstream version 3.2.15

 -- Aitor <aitor_czr@gnuinos.org>  Sun, 02 Feb 2025 14:09:45 +0100

libudev-compat (3.2.14-1+5gnuinos1) unstable; urgency=medium

  * Do not print udev device properties in udev_monitor_receive_device_fs()
  * New upstream version 3.2.14

 -- Aitor <aitor_czr@gnuinos.org>  Thu, 19 Dec 2024 19:33:34 +0100

libudev-compat (3.2.13-1+5gnuinos1) unstable; urgency=medium

  * Use a new criterion to determine whether we are in eudev or vdev
    based o the existance of an eventfs filesystem
  * New upstream version 3.2.13

 -- Aitor <aitor_czr@gnuinos.org>  Mon, 27 May 2024 23:47:39 +0200

libudev-compat (3.2.12-4+deb12u1gnuinos5u1) unstable; urgency=medium

  * Provide current libeudev version

 -- Aitor <aitor_czr@gnuinos.org>  Sun, 25 Feb 2024 12:52:45 +0100

libudev-compat (3.2.12-4+deb12u1) unstable; urgency=medium

  * Wait for event-put to finish the process of copying data in the multicast_event().
    When the event is going to be pushed in udev_monitor_fs_push_event(), it happens
    that the event-put vdev helper may still be writing data to the file descritor.
    This means that, while this is happening, both lseek and stat will return the
    file's size equal to zero because it's truncated yet.
  * Adding eudev compatibility to libudev1-compat in behalf of a dual behaviour that
    will depend on the whether /dev is on devtmpfs on tmpfs.
  * Move helpers from libudev1-compat to udevadm-compat

 -- Aitor <aitor_czr@gnuinos.org>  Sat, 04 Nov 2023 12:21:11 +0100

libudev-compat (3.2.12-1+5gnuinos2) unstable; urgency=medium

  * Minor changes in d/rules

 -- Aitor <aitor_czr@gnuinos.org>  Fri, 01 Sep 2023 09:52:40 +0200

libudev-compat (3.2.12-1+5gnuinos1) unstable; urgency=medium

  * Keep udevadm control (dummy command required for backwards compatibility)

 -- Aitor <aitor_czr@gnuinos.org>  Mon, 31 Jul 2023 00:14:25 +0200

libudev-compat (3.2.12-1) unstable; urgency=medium

  * udevadm-compat breaks with libudev1-compat (<< 3.2.12-1)
  * New upstream version 3.2.12

 -- Aitor <aitor_czr@gnuinos.org>  Sat, 27 May 2023 22:21:56 +0200

libudev-compat (3.2.9-17~chimaera1+gnuinos4.1) unstable; urgency=medium

  * Improve the garbage collector

 -- Aitor Cuadrado Zubizarreta <aitor_czr@gnuinos.org>  Mon, 17 Apr 2023 22:09:04 +0200

libudev-compat (3.2.9-16~chimaera1+gnuinos4.1) unstable; urgency=medium

  * Fix a bug related to processes with several monitors leading to several monitor
    directories, i.e. libudev-$CLIENT_PID-0, libudev-$CLIENT_PID-1..., full of events
    that weren't consumed.

 -- Aitor Cuadrado Zubizarreta <aitor_czr@gnuinos.org>  Sat, 15 Apr 2023 10:38:38 +0200

libudev-compat (3.2.9-15~chimaera1+gnuinos4.1) unstable; urgency=medium

  * Check whether or not the watcher events_wd exits before trying to remove it.

 -- Aitor Cuadrado Zubizarreta <aitor_czr@gnuinos.org>  Mon, 10 Apr 2023 16:28:34 +0200

libudev-compat (3.2.9-14~chimaera1+gnuinos4.1) unstable; urgency=medium

  * Do not destroy local filesystems (just shutdown), as they are destroyed automatically
    by fskit as a result of the eventfs integration.

 -- Aitor Cuadrado Zubizarreta <aitor_czr@gnuinos.org>  Sat, 08 Apr 2023 09:44:43 +0200

libudev-compat (3.2.9-13~chimaera1+gnuinos4.1) unstable; urgency=medium

  * Minor changes

 -- Aitor Cuadrado Zubizarreta <aitor_czr@gnuinos.org>  Thu, 06 Apr 2023 20:21:38 +0200

libudev-compat (3.2.9-12~chimaera1+gnuinos4.1) unstable; urgency=medium

  * Fix some bugs related to evenfs integration

 -- Aitor Cuadrado Zubizarreta <aitor_czr@gnuinos.org>  Wed, 05 Apr 2023 20:28:36 +0200

libudev-compat (3.2.9-11~chimaera1+gnuinos4.1) unstable; urgency=medium

  * eventfs integration ensuring that the bunch of directories created in
    /dev/metadata/udev/events, into which vdev's udev-compat.sh helper writes
    device events, are automatically removed after the process that created
    them dies.

 -- Aitor Cuadrado Zubizarreta <aitor_czr@gnuinos.org>  Sun, 26 Mar 2023 15:17:49 +0200

libudev-compat (3.2.9-10~chimaera1+gnuinos4.2) unstable; urgency=medium

  * Provide udevadm utilities in a separate package called udevadm-compat
  * Fix compiler warnings

 -- Aitor Cuadrado Zubizarreta <aitor_czr@gnuinos.org>  Wed, 22 Feb 2023 00:27:25 +0100

libudev-compat (3.2.9-10~chimaera1+gnuinos4.1) chimaera; urgency=medium

  * Added some features of udevadm required for backwards compatibility

 -- Aitor Cuadrado Zubizarreta <aitor_czr@gnuinos.org>  Sat, 11 Jun 2022 00:10:40 +0200

libudev-compat (3.2.9-10~chimaera1+gnuinos4.0) unstable; urgency=medium

  * Bump to 3.2.9-10

 -- Aitor Cuadrado Zubizarreta <aitor_czr@gnuinos.org>  Sun, 02 Jan 2022 16:47:45 +0100

libudev-compat (3.2.9-9+4.0gnuinos1) unstable; urgency=medium

  * Isolate the libeudev shared library from udev binaries
  * New upstream version 3.2.9

 -- Aitor Cuadrado Zubizarreta <aitor_czr@gnuinos.org>  Sat, 22 May 2021 23:11:10 +0000
