=== debian/control ===
Source: libudev-compat
Section: admin
Priority: optional
Maintainer: Aitor CZ <aitor@genuen.org>
Uploaders: Aitor CZ <aitor@genuen.org>,
Rules-Requires-Root: no
Standards-Version: 4.7.2
Origin: Genuen
Vcs-Git: https://gitea.devuan.dev/aitor_czr/libudev-compat.git
Homepage: https://genuen.org
Build-Depends:
 autoconf (>= 2.63),
 automake (>= 1.13),
 debhelper-compat (= 13),
 dh-exec,
 docbook-xml,
 docbook-xsl,
 dpkg-dev (>= 1.17.14),
 gnu-efi [amd64 i386 arm64],
 gobject-introspection,
 gperf,
 intltool,
 libacl1-dev,
 libblkid-dev (>= 2.25),
 libcap-dev (>= 1:2.24-9~),
 libglib-object-introspection-perl,
 libkmod-dev (>= 15),
 libselinux1-dev (>= 2.1.9),
 m4,
 pkg-config,
 xsltproc,

Package: libudev1-compat
Section: libs
Priority: important
Architecture: linux-any
Multi-Arch: same
Replaces:
 libudev1 (<< 1:${source:Version}),
 libudev1 (>= 215),
Provides:
 libudev1 (= 1:${source:Version}),
 libeudev1 (= 3.2.14-4+genuen6u1),
Conflicts:
 libeudev1
Breaks:
 libudev1 (<< 1:${source:Version})
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: ABI-compatible libeudev isolated from udevd.
 Vdev is a portable userspace device-file manager for UNIX-like
 operating systems. It differs from existing device-file managers in
 that it provides an optional filesystem interface that implements a
 per-process view of /dev, thereby giving the host administrator the
 means to control device node access based on arbitrary criteria (such
 as process session ID, process seat assignment, etc.).
 .
 This package provides access to eudev device information.

Package: libudev-compat-dev
Section: libdevel
Priority: important
Architecture: linux-any
Multi-Arch: foreign
Replaces:
 libudev-dev (<< 1:${source:Version}),
 libudev-dev (>= 215),
Provides:
 libudev-dev (= 1:${source:Version}),
 libeudev-dev (= 3.2.14-4+genuen6u1),
Conflicts:
 libeudev-dev
Breaks:
 libudev-dev (<< 1:${source:Version})
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
	     libudev1-compat (= ${binary:Version})
Description: libudev-compat development files
 .
 libudev-compat is an ABI-compatible libudev that does not need udevd to be running.

Package: libudev1-compat-udeb
Build-Profiles: <!noudeb>
Package-Type: udeb
Section: debian-installer
Architecture: linux-any
Provides: libudev1-udev (= 1:${source:Version})
Conflicts: libudev1-udeb (<< 1:${source:Version}), libeudev1-udev
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: ABI-compatible libeudev isolated from udevd.
 .
 This is a minimal version, only for use in the installation system.

Package: libudev-compat-helpers
Section: admin
Architecture: linux-any
Multi-Arch: same
Conflicts: eudev
Depends: ${shlibs:Depends},
         ${misc:Depends},
	     libudev1-compat (= ${binary:Version})
Description: binaries required by vdev only for backwards compatibility.
 Vdev is a portable userspace device-file manager for UNIX-like
 operating systems. It differs from existing device-file managers in
 that it provides an optional filesystem interface that implements a
 per-process view of /dev, thereby giving the host administrator the
 means to control device node access based on arbitrary criteria (such
 as process session ID, process seat assignment, etc.).
 .
 This package provides access to eudev device information.
