=== debian/rules ===
#! /usr/bin/make -f

#export DH_VERBOSE=1
#export DEB_BUILD_OPTIONS="nostrip"
#export DEB_BUILD_PROFILES="noudeb"

%:

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

CONFFLAGS = \
	--exec-prefix= \
	--bindir=/bin \
	--with-rootprefix= \
	--with-rootlibdir=/lib/$(DEB_HOST_MULTIARCH) \
	--disable-silent-rules

CONFFLAGS_deb = \
	--enable-selinux \
	--disable-manpages \
	$(NULL)

CONFFLAGS_udeb = \
	--disable-selinux \
	--disable-manpages

override_dh_auto_configure:
	chmod +x debian/libudev*.install
	dh_auto_configure --builddirectory=build-deb \
		-- $(CONFFLAGS) $(CONFFLAGS_deb)
	dh_auto_configure --builddirectory=build-udeb \
		-- $(CONFFLAGS) $(CONFFLAGS_deb)

override_dh_auto_build:
	dh_auto_build --builddirectory=build-deb
ifeq (, $(filter noudeb, $(DEB_BUILD_PROFILES)))
	dh_auto_build --builddirectory=build-udeb
endif

override_dh_auto_install:
	dh_auto_install --builddirectory=build-deb \
		--destdir=debian/install/deb
ifeq (, $(filter noudeb, $(DEB_BUILD_PROFILES)))
	dh_auto_install --builddirectory=build-udeb \
		--destdir=debian/install/udeb
endif

override_dh_auto_clean:
	dh_auto_clean --builddirectory=build-deb
	dh_auto_clean --builddirectory=build-udeb
	rm -rf debian/install/

override_dh_install:
	# remove unnecessary / unused files
	rm -f debian/install/*/usr/share/doc/eudev/LICENSE.*
	rm -f debian/install/*/var/log/README
	rm -f debian/install/*/etc/init.d/README
	rm -f debian/install/*/usr/bin/kernel-install
	rm -rf debian/install/*/usr/lib/kernel/install.d
	rm -rf debian/install/*/etc/rpm/
	rm -rf debian/install/*/usr/lib/rpm/
	rm -rf debian/install/*/etc/kernel/
	find debian/install/ -name '*.la' -delete
ifeq (, $(filter noudeb, $(DEB_BUILD_PROFILES)))
	dh_missing
	dh_install -plibudev1-compat-udeb --sourcedir=debian/install/udeb
endif
	dh_missing
	dh_install -Nlibudev1-compat-udeb --sourcedir=debian/install/deb

override_dh_makeshlibs:
	dh_makeshlibs --remaining-packages

override_dh_strip:

override_dh_autoreconf:
	dh_autoreconf ./autogen.sh

override_dh_auto_test:
ifeq (, $(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	# some tests hang under fakeroot, so disable fakeroot
	make -C build-deb check || ( \
	cd build-deb; \
	for f in test-*.log; do echo "==== $$f ===="; cat $$f; done; \
	exit 0; )  # replace with 1 to make failures fatal
endif

%:
	dh $@
